The information in this thread might be outdated
If the solution did not help, please, check our Help Portal or contact Ecwid Team.
 
 
Thread Tools Display Modes
  #1  
Old 08-17-2014, 10:04 PM
RomeroLins:2231416@deleted's Avatar
RomeroLins:2231416@deleted is offline
Junior Member
 
Join Date: Aug 2014
Posts: 1
Question

Problem after php mysql and apache upgrade


Getting this error after upgrading php, apache and mysql

Strict Standards: Non-static method EcwidCommon::isPaidAccount() should not be called statically, assuming $this from incompatible context in /home/lto/public_html/plugins/system/ecwid/ecwid.php on line 120


Strict Standards: Non-static method EcwidCommon::isPaidAccount() should not be called statically, assuming $this from incompatible context in /home/lto/public_html/administrator/components/com_ecwid/models/default.php on line 132


Strict Standards: Non-static method EcwidCommon::getProductBrowserJS() should not be called statically in /home/lto/public_html/modules/mod_ecwid_categories/mod_ecwid_categories.php on line 26

www.lto.com.br

How can it be fixed?

Thank you

Romero Lins
  #2  
Old 08-19-2014, 09:44 AM
Viktor D.'s Avatar
Viktor D. Viktor D. is offline
 
Join Date: Nov 2013
Posts: 720
Default

Quote:
Originally Posted by RomeroLins View Post
Getting this error after upgrading php, apache and mysql

Strict Standards: Non-static method EcwidCommon::isPaidAccount() should not be called statically, assuming $this from incompatible context in /home/lto/public_html/plugins/system/ecwid/ecwid.php on line 120


Strict Standards: Non-static method EcwidCommon::isPaidAccount() should not be called statically, assuming $this from incompatible context in /home/lto/public_html/administrator/components/com_ecwid/models/default.php on line 132


Strict Standards: Non-static method EcwidCommon::getProductBrowserJS() should not be called statically in /home/lto/public_html/modules/mod_ecwid_categories/mod_ecwid_categories.php on line 26

www.lto.com.br

How can it be fixed?

Thank you

Romero Lins
Thank you very much for the message.

This issue is related to your PHP engine configuration not to Ecwid.

It seems that PHP reporting configuration was updated during the PHP engine upgrade process.

‘Strict Standards’ notifications is not errors but simple notifications for web developers, because JS or Ajax code was generated by PHP.

You’ll have to simply disable ‘Strict Standards’ notifications. In this case, you can ask your hosting support team to do so if such is possible. Or you can try to change the PHP configuration using the following instructions(first note):

http://php.net/manual/en/migrating5.errorrep.php

Please, try this and do not hesitate to ask any questions. We are happy to help you.
 
The information in this thread might be outdated
If the solution did not help, please, check our Help Portal or contact Ecwid Team.

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT. The time now is 12:08 AM.
Powered by vBulletin® Version 3.8.11. Copyright ©2000 - 2021, Jelsoft Enterprises Ltd.